View Issue Details

IDProjectCategoryView StatusLast Update
00313852.x IDE BugsExtension EditorPublic2019-09-30 14:41
ReporterScott DunbarAssigned ToDavid Clarke 
PriorityMediumSeverityB - MajorReproducibility100%
Status ClosedResolutionFixed 
PlatformAndroidOSmacOS MojaveOS Version
Product VersionInternal Build 
Target Version2.2.4Fixed in Version2.2.4 
Summary0031385: Extensions: [Mac IDE] Using a new line to separate "Inject to AndroidManifest.xml" entries will result in a gradle build error
DescriptionIssue:
Using a new line to separate "Inject to AndroidManifest.xml" entries will result in a gradle build error

Expected:
 New lines should be accepted, this is a readable and intuitive way of separating entries to a multi-line text box (and it works in the Windows IDE...)
Steps To Reproduce0) on macIDE
1) Import attached yymp
2) open GooglePlayServices Extension extension editor
2.5) double click ExtraPlatforms Android
3) observe meta data line is seperated across multiple lines
4) run for android
5) observe build error:
Element type "application" must be followed by either attribute specifications, ">" or "/>".

TagsNo tags attached.
2.x IDE Found In9.2.1.1940
2.x Runtime Found In9.9.1.1528
2.x IDE Verified In2.2.4.456
2.x Runtime Verified In2.2.4.362

Activities

Scott Dunbar

2019-09-26 12:38

Adminstrator  

1568380826_com.yoyogames.googleplayservicesextension.yymp (14,871,527 bytes)

David Clarke

2019-09-27 15:16

Developer   ~0064863

Igor was misinterpretting newline characters on the mac. This fix should hopefully get things moving again.

Dan

2019-09-30 11:18

Adminstrator   ~0064871

IDE 456+

Scott Dunbar

2019-09-30 14:41

Adminstrator   ~0064887

Verified fixed